# QXmlName Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlName()
- void QXmlName(QXmlNamePool namePool, String localName, String namespaceURI, String prefix)

### Constructor Properties

- prototype: The QXmlName prototype object
- QXmlName fromClarkName(String clarkName, QXmlNamePool namePool)
- bool isNCName(String candidate)

### Prototype Object Properties

- bool isNull()
- String localName(QXmlNamePool query)
- String namespaceUri(QXmlNamePool query)
- bool operator_equal(QXmlName other)
- String prefix(QXmlNamePool query)
- String toClarkName(QXmlNamePool query)

### Instance Properties

QXmlName objects have no special properties beyond those inherited from the QXmlName prototype object.